
Redmine - Patch #2285

issue-refinement: pressing enter should result to an "apply"

2008-12-06 00:19 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.2   

Description

This is just a plain copy-and-paste of issue 334 on the Typo3-forge:

Sometimes I have fields in the issue-filters form, where i can enter text. When i press enter, nothing happens. I always have to click

"Apply".

It would be much faster if a enter would result into an apply.

It is just a nice-to-have feature.

This patch is also a straight one-on-one copy of the solution implemented by the Typo3-forge maintainers, rebased against r2088.

Related issues:

Has duplicate Redmine - Feature #4034: apply the filter on issues by pressing... Closed 2009-10-15

Has duplicate Redmine - Defect #6294: Pressing "Enter" key when filling a fil... Closed 2010-09-05

Associated revisions

Revision 4093 - 2010-09-16 23:33 - Jean-Baptiste Barth

Fixed: pressing enter in filters should result to an 'apply', not a 'save'. #2285

History

#1 - 2008-12-06 00:41 - Markus Knittig

+1

#2 - 2009-10-18 01:47 - Mischa The Evil

- Category changed from Issues to UI

#3 - 2009-10-18 01:51 - jason axelson

So is there a chance of this being merged into the main codebase?

#4 - 2010-07-29 11:04 - Benjamin Schindler

+1 here. In my installation, pressing enter brings me to save queries, which was in my case mostly not what I wanted. Apply would be a lot more

intuitive imho

#5 - 2010-09-05 03:48 - Jean-Baptiste Barth

- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.0.2

Works fine for me on Firefox 3.6, but not on Chrome 6. Which browser have you tested ?

I'll try to see if it works better with a more prototype-based code.

#6 - 2010-09-05 20:30 - Jean-Baptiste Barth

- File 2285_git.diff added

Here's a working solution with Prototype, it avoids treating each navigator separately. Can someone confirm it works under IE ? (I don't have windows

at home I can't test that...). Don't hesitate to tell me if there's something bad, I'm not a JS specialist at all.
#7 - 2010-09-16 23:30 - Jean-Baptiste Barth

- Status changed from 7 to Resolved

- % Done changed from 0 to 100

Applied in r4093. Don't hesitate to reopen if you encounter navigator specific issues.

#8 - 2010-09-20 05:51 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2

Files

issue_refinement-enter-result_apply-r2088.diff 2.17 KB 2008-12-05 Mischa The Evil

2285_git.diff 1.36 KB 2010-09-05 Jean-Baptiste Barth
